QT = core network
QT -= gui

CONFIG += c++17 cmdline

TARGET = TDengineClient
TEMPLATE = lib

unix{
}
else{
     DESTDIR = $$PWD/../../bin/plugins
}

DEFINES += TDENGINECLIENT_LIBRARY

INCLUDEPATH += ../include

TDENGINE_DIR =$$PWD/../../thirdparty/tdengine

LIBS += -L$${TDENGINE_DIR}/lib -ltaos
#LIBS += ../thirdparty/hiredis/lib/libhiredis.a
INCLUDEPATH += $${TDENGINE_DIR}/include


HEADERS += \
    TDengineClient.h \
    libaray_symbols.h

SOURCES += \
    TDengineClient.cpp
